## NAME

r.spreadpath - Recursively traces the least cost path backwards to cells from which the cumulative cost was determined.
(GRASS Raster Program)

## SYNOPSIS

r.spreadpath
r.spreadpath help
r.spreadpath [-v] x_input=name y_output=name [coordinate=x,y[x,y,...]]output=name

## DESCRIPTION

r.spreadpath recursively traces the least cost path backwards to the origin, given backlink information input map layers and target locations from where paths are to be traced. The backlink information map layers record each cell's backlink UTM northing (the y_input) and easting (the x_input) coordinates from which the cell's cumulative cost was determined.

The backlink inputs can be generated from another GRASS raster program r.spread. One of the major applications of r.spreadpath along with r.spread is to accurately find the least cost corridors and/or paths on a raster setting. More information on r.spread and r.spreadpath can be found in Xu (1994).

## Flags:

-v
  Run verbosely.

## Parameters:

x_input=name
  Name of input raster map layer containing backlink UTM easting coordinates.
y_input=name
  Name of input raster map layer containing backlink UTM northing coordinates.
coordinate=x,y[,x,y,x,y, ...]
  Each x,y coordinate pair gives the easting and northing (respectively) geographic coordinates of a target point from which to backwards trace the least cost path. As many points as desired can be entered by the user.
output=name
  Name of raster map layer to contain output. Also can be used as the map layer of the input target points. If so used, the input target point map will be overwritten by the output.

## OPTIONS

The user can run r.spreadpath either interactively or non- interactively. The program is run interactively if the user types r.spreadpath without specifying flag setting and parameter values on the command line. In this case, the user will be prompted for input.

Alternately, the user can run r.spreadpath non-interactively, by specifying the names of raster map layers and desired options on the command line, using the form:

  r.spreadpath [-v] x_input=name y_output=name [coordinate=x,y[x,y,...]]output=name

  ## SEE ALSO

  r.spread, r.ros.

  ## REFERENCES

  Xu, Jianping, 1994, Simulating the spread of wildfires using a geographic information system and remote sensing, Ph. D. Dissertation, Rutgers University, New Brunswick, New Jersey.

  ## AUTHOR

  Jianping Xu and Richard G. Lathrop, Jr., Center for Remote Sensing and Spatial Analysis, Rutgers University.

  ## NOTICE

  This program is part of the alpha section of the GRASS distribution. Unlike the code in the main section of GRASS, the alpha code has not yet been fully tested for one release cycle.

  Last changed: $Date: 2002/01/25 05:45:34 $